# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'replace_it/version'

Gem::Specification.new do |spec|
  spec.name          = "replace_it"
  spec.version       = ReplaceIt::VERSION
  spec.authors       = ["DanHack"]
  spec.email         = ["danilo.peres@hotmail.com"]

  spec.summary       = "Replace any document string"
  spec.description   = "Made to support any replace of strings on a document, to help you write less and do more"
  spec.homepage      = "https://github.com/danperes97/replace_it"
  spec.license       = "MIT"
  spec.metadata['allowed_push_host'] = "https://rubygems.org"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.13"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
end
